util.browserlauncher

## Class Launch

- java.lang.Object
- - util.browserlauncher.Launch

-     public class Launch
      extends java.lang.Object

  This Class opens an Url in a Web-Browser. If the Web-Browser was not found or a problem occurred, the User is asked to enter his Web-Browser in the Configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OS_LINUX` Linux OS JVM
    `static int` | `OS_MAC` Mac OS JVM
    `static int` | `OS_OTHER` Other OS JVM
    `static int` | `OS_WINDOWS` Windows JVM

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Launch()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getOs()` Returns the OS of the VM
    `static boolean` | `isOsWindowsNtBranch()`
    `static void` | `openURL(java.lang.String url)` Opens an URL in a web-browser

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OS_MAC

          public static final int OS_MAC

      Mac OS JVM
      See Also:
        Constant Field Values

    - #### OS_WINDOWS

          public static final int OS_WINDOWS

      Windows JVM
      See Also:
        Constant Field Values

    - #### OS_OTHER

          public static final int OS_OTHER

      Other OS JVM
      See Also:
        Constant Field Values

    - #### OS_LINUX

          public static final int OS_LINUX

      Linux OS JVM
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Launch

          public Launch()

  - ### Method Detail

    - #### openURL

          public static void openURL(java.lang.String url)

      Opens an URL in a web-browser
      Parameters:
        `url` - Url to open

    - #### getOs

          public static int getOs()

      Returns the OS of the VM
      Returns:
        VM OS_MAC, OS_WINDOWS or OS_OTHER

    - #### isOsWindowsNtBranch

          public static boolean isOsWindowsNtBranch()

      Returns:
        If the OS is Windows NT branch.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)